com.ihr.xbrl.formula

## Class FlBridgeXQToFunctionLibrary

- java.lang.Object
- - com.ihr.xbrl.formula.FlBridgeXQToFunctionLibrary

- All Implemented Interfaces:
    java.io.Serializable, net.sf.saxon.functions.FunctionLibrary

      public class FlBridgeXQToFunctionLibrary
      extends java.lang.Object
      implements net.sf.saxon.functions.FunctionLibrary

  The Class FlBridgeXQToFunctionLibrary.
  Author:
    Ignacio Wraps an XQuery module so all functions available can be used in XPath or in XSLT or wherever they are required.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlBridgeXQToFunctionLibrary(net.sf.saxon.s9api.Processor conf, java.lang.String namespace, java.lang.String queryText)` Instantiates a new fl bridge xq to function library.
    `FlBridgeXQToFunctionLibrary(net.sf.saxon.s9api.Processor conf, java.lang.String namespace, java.net.URL sourceURL)` Instantiates a new fl bridge xq to function library.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `net.sf.saxon.expr.Expression` | `bind(net.sf.saxon.om.StructuredQName functionName, net.sf.saxon.expr.Expression[] staticArgs, net.sf.saxon.expr.StaticContext env, net.sf.saxon.expr.Container container)`
    `net.sf.saxon.functions.FunctionLibrary` | `copy()`
    `net.sf.saxon.value.SequenceType[]` | `getFunctionSignature(net.sf.saxon.om.StructuredQName functionName, int arity)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlBridgeXQToFunctionLibrary

          public FlBridgeXQToFunctionLibrary(net.sf.saxon.s9api.Processor conf,
                                     java.lang.String namespace,
                                     java.net.URL sourceURL)
                                      throws net.sf.saxon.s9api.SaxonApiException

      Instantiates a new fl bridge xq to function library.
      Parameters:
        `conf` - the conf
        `namespace` - the namespace
        `sourceURL` - the source url
      Throws:
        `net.sf.saxon.s9api.SaxonApiException` - the saxon api exception

    - #### FlBridgeXQToFunctionLibrary

          public FlBridgeXQToFunctionLibrary(net.sf.saxon.s9api.Processor conf,
                                     java.lang.String namespace,
                                     java.lang.String queryText)
                                      throws net.sf.saxon.s9api.SaxonApiException

      Instantiates a new fl bridge xq to function library.
      Parameters:
        `conf` - the conf
        `namespace` - the namespace
        `queryText` - the query text
      Throws:
        `net.sf.saxon.s9api.SaxonApiException` - the saxon api exception

  - ### Method Detail

    - #### copy

          public net.sf.saxon.functions.FunctionLibrary copy()

      Specified by:
        `copy` in interface `net.sf.saxon.functions.FunctionLibrary`

    - #### bind

          public net.sf.saxon.expr.Expression bind(net.sf.saxon.om.StructuredQName functionName,
                                          net.sf.saxon.expr.Expression[] staticArgs,
                                          net.sf.saxon.expr.StaticContext env,
                                          net.sf.saxon.expr.Container container)
                                            throws net.sf.saxon.trans.XPathException

      Specified by:
        `bind` in interface `net.sf.saxon.functions.FunctionLibrary`
      Throws:
        `net.sf.saxon.trans.XPathException`

    - #### getFunctionSignature

          public net.sf.saxon.value.SequenceType[] getFunctionSignature(net.sf.saxon.om.StructuredQName functionName,
                                                               int arity)

      Specified by:
        `getFunctionSignature` in interface `net.sf.saxon.functions.FunctionLibrary`